import {saveTimeToDb} from "../helpers/dbHelpers";

export const measureTime = (self, noOfMarkers, markerType) => {
  return (profilerId, mode, actualTime, baseTime, startTime, commitTime) => {
    let prevContent = self.measurementsDiv.current.innerHTML

    // save time to database
    if(noOfMarkers!=="" & mode!=="mount" & (
      (profilerId!=="google" & prevContent==="") |
      (profilerId==="google" & prevContent!=="" & prevContent.length < 150 & !prevContent.includes("mount")))){
      let json = {
        "id": profilerId,
        "time": actualTime,
        "markers": noOfMarkers,
        "type": markerType
      }
      saveTimeToDb(json)
    }

    self.measurementsDiv.current.innerHTML = `
        ${prevContent}<br/>
        Mode: ${mode}<br/>
        Actual Time: ${actualTime.toFixed(3)} ms<br/>
        ------------------------
        `
  }
}